package cn.stylefeng.workflow.design.modular.service;

import cn.stylefeng.workflow.api.entity.design.Model;
import cn.stylefeng.workflow.design.api.ModelApi;
import cn.stylefeng.workflow.design.api.pojo.BusinessCategoryVo;
import cn.stylefeng.workflow.design.modular.pojo.request.ModelRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface ModelService extends IService<Model>, ModelApi {

    List<BusinessCategoryVo> findList(ModelRequest modelRequest);

    Model detail(ModelRequest modelRequest);

    Model add(ModelRequest modelRequest);

    void del(ModelRequest modelRequest);

    void edit(ModelRequest modelRequest);

    Model copy(ModelRequest modelRequest);

    void updateModelVersion(Long modelId, String newVersion, Long newDefinitionId);

    List<Model> getDefinitionSelectList(ModelRequest modelRequest);

}